Bug 171756 - CVE-2005-2970 httpd worker MPM memory consumption DoS
CVE-2005-2970 httpd worker MPM memory consumption DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
http://svn.apache.org/viewcvs?rev=292...
impact=low,source=cve,public=20051025...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 17:58 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0159
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 10:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-25 17:58:20 EDT
Memory leak in the worker MPM (worker.c) for Apache 2, in certain
circumstances, allows remote attackers to cause a denial of service
(memory consumption) via aborted connections, which prevents the
memory for the transaction pool from being reused for other
connections.
Comment 1 Josh Bressers 2005-10-25 17:59:07 EDT
This issue should also affect RHEL3
Comment 8 Mark J. Cox (Product Security) 2005-12-22 08:48:01 EST
downgraded to low severity, this issue requires the exploitation of a race
condition which will be difficult, and in addition will not even cause a DoS
unless using the non-default worker MPM.
Comment 10 Red Hat Bugzilla 2006-01-05 10:55:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0159.html

Note You need to log in before you can comment on or make changes to this bug.